From 1b6551cc2ff6a238ab9be9d6f214f3fb07da1f78 Mon Sep 17 00:00:00 2001
From: Marcus Folkesson <marcus.folkesson@combitech.com>
Date: Fri, 22 Nov 2024 08:50:18 +0100
Subject: [PATCH 2/3] rpmsg: ns: extend the rpmsg_ns_msg structure

rpmsg_ns_msg is used as the message structure between the remoteproc
node and the host core. The both nodes must have a common view of what
to send and recieve.

The SYSBIOS IPC module from TI expects more meta data in the structure
that is not mainlined. Extend this structure to be compliant with the TI
implementation.

Signed-off-by: Marcus Folkesson <marcus.folkesson@combitech.com>
---
 include/linux/rpmsg/ns.h | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/include/linux/rpmsg/ns.h b/include/linux/rpmsg/ns.h
index a7804edd6d58..1a07f31c9557 100644
--- a/include/linux/rpmsg/ns.h
+++ b/include/linux/rpmsg/ns.h
@@ -22,6 +22,10 @@
  */
 struct rpmsg_ns_msg {
 	char name[RPMSG_NAME_SIZE];
+#ifdef CONFIG_RPMSG_PROTO
+/* The SYSBIOS IPC implementation from TI relies on the `desc` field. */
+	char desc[RPMSG_NAME_SIZE];
+#endif
 	__rpmsg32 addr;
 	__rpmsg32 flags;
 } __packed;
-- 
2.47.0

